Subject: Re: [Anima] references to code ?

From: Michael Richardson <[email-masked]>
Date: Tue, 19 Jun 2018 11:31:50 -0400

On 31/05/18 02:43 PM, Toerless Eckert wrote:
> Thanks, Eliot
> 
> Good point, forgot to ask/mention this point in my previous emails.
> 
> As an ANIMA contributor, i would love for a draft/->RFC like BRSKI to
> mention known existing implementations, especially open source, even if just PoC.

I did not hear a WG consensus to add a section on known implementations.

I did not object to it, but found it a waste of time as it will be 
removed before publication. I note that the Shepherd could just 
reference this thread which contains a number of references to 
implementations.

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 20 Jun 2018 00:07:43 +0200

I did not push this further because it seemed non-obvious to me after
the discussion here, what would be needed to include the information
in the final RFC and whether that would be appreciated by others.

I hope in the absence of suhc text, there is motivation for a small followup
RFC with implementation experience after we have the RFC.

Wrt to providing implementation information as input to the reviewers,
i will be happy to include it into the shepherd writeup for the 
IESG once i can close the last call.

Cheers
    Toerless

On Tue, Jun 19, 2018 at 11:31:50AM -0400, Michael Richardson wrote:
> I did not object to it, but found it a waste of time as it will be removed
> before publication. I note that the Shepherd could just reference this
> thread which contains a number of references to implementations.
> 
> _______________________________________________
> Anima mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/anima

-- 
---
[email-masked]

---

From: Toerless Eckert <[email-masked]>
Date: Wed, 20 Jun 2018 00:13:16 +0200

We had positive feedback on the last call, and no negative feedback.

For the time being (or until someone with more experience than me shows
me a better option ;-), i will not declare the last-call finished,
until the authors had a chance to answer how they want to resolve
the last-call comment from me about the only mayor issue, which was how to
make GRASP announcemments for IP-in-IP work. As said in before, any
solution that works is fine. Including moving IP-in-IP out to another doc.

Cheers
   toerless

On Thu, May 31, 2018 at 03:56:08AM +0200, Toerless Eckert wrote:
> Dear ANIMA WG,
> 
> After thorough review and discussions on the mailing list and in bootstrap
> meetings, leading to the -15 version the authors and WG chairs think the draft
> is now mature enough for working group last call.
> 
> This e-mail starts a two-weeks period for evaluation of this document by the WG.
> 
> Please provide your feedback on the ANIMA mailing list by end of June 14th, 2018.
> 
> Thanks and best regards
> 
> Toerless (for the ANIMA chairs).
> 

-- 
---
[email-masked]

---

From: Michael Richardson <[email-masked]>
Date: Wed, 20 Jun 2018 15:17:18 -0400

> solution that works is fine. Including moving IP-in-IP out to another

1) We removed all references to IPPROTO_IPV6 from the normative text,
   and also the IPPROTO_UDP, since CoAP version is another draft.

2) We used the //= notation to make it clear that transport-proto
   was an extension point.  We also threw in the $...

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-